# pow

## Purpose

Raise a number to the given power.

## Syntax

returnedFlt = pow(baseFlt,exponentFlt)

returnedFlt - type: float
baseFlt - type: float
exponentFlt - type: float

## Returns

The base raised to the power of the exponent.

## Remarks

Analogous to the pow function in C/C++. A negative base with a fractional exponent is undefined and is reported as an error.

## Example

@CODE
"output.txt" << pow(2,10) << "\n";
@@CODE

Outputs:

1024

## See Also

Math Functions